clear, clc, close all

load neededParameterForBenchmarking.mat

Energy_temp = str2double(string(erase(species{2}','eV')));

% Energy = [0 Energy_temp(11:67)];
% v = 58, Ev58 = 
Energy = [0 Energy_temp(11:67) 9.748];

%% N2(v) + N2(w) -> N2(v-1) + N2(w+1), v up to 58

v_num = 57; 
           
% Get fileID
fid = fopen('ev-temp.csv');
% Get format for every information of fields, hier every format is character string
format='%s%s%s%s%s%s';
% Use komma to be the delimiter
delimiter=',';
% Seperate every column information info field, save into cell array speciesProperties
a=textscan(fid,format,'Delimiter', delimiter,'HeaderLines',1);
% close file
fclose(fid);

a_1 ={};
a_2 ={};
a_3={};
a_4={};
a_5={};
a_6={};
% v
for j=1:v_num
%     % w
%     for i=0:(v_num-1)
    % w; test the simulations only with the updated exothermic V-V reaction, i.e. for v + w-1 -> v-1 + w, only with w-1>=v!!!
    for i=j:(v_num-1)
        
        a_1 = [a_1; ['InvN2v',num2str(j),'N2v',num2str(i),'_N2v',num2str(j-1),'N2v',num2str(i+1)]];
        
        if i==0 && j==1
%             a_2 = [a_2; ['N2v',num2str(j),' + N2 -> N2 + N2v',num2str(i+1),' ']];
            a_2 = [a_2; ['N2 + N2v',num2str(i+1),' -> N2v',num2str(j),' + N2 ']];
        elseif i==0 && j~=1
%             a_2 = [a_2; ['N2v',num2str(j),' + N2 -> N2v',num2str(j-1),' + N2v',num2str(i+1),' ']];
            a_2 = [a_2; ['N2v',num2str(j-1),' + N2v',num2str(i+1),' -> N2v',num2str(j),' + N2 ']];
        elseif i~=0 && j==1
%             a_2 = [a_2; ['N2v',num2str(j),' + N2v',num2str(i),' -> N2 + N2v',num2str(i+1),' ']];
            a_2 = [a_2; ['N2 + N2v',num2str(i+1),' -> N2v',num2str(j),' + N2v',num2str(i),' ']];
        else
%             a_2 = [a_2; ['N2v',num2str(j),' + N2v',num2str(i),' -> N2v',num2str(j-1),' + N2v',num2str(i+1),' ']];
            a_2 = [a_2; ['N2v',num2str(j-1),' + N2v',num2str(i+1),' -> N2v',num2str(j),' + N2v',num2str(i),' ']];
        end
        
        a_3 = [a_3; 'N2N2VVinvSSH_Gue19'];
        
%         %% k_v_w_v-1_w+1
%         k_10_01 = '1e-6*0.9e-14*(Tg/300)^(1.5)';
%         
%         % k_v_v-1_w_w+1 = k_1_0_0_1 * Gs(v,w+1)
%         Z_v = (j*(1-v_num))/(1-j*v_num);
%         
%         Z_w1 = ((i+1)*(1-v_num))/(1-(i+1)*v_num);
%         
%         m_kg_reduced = 1/(1/(28*1.67377e-27)+1/(28*1.67377e-27));
%         % mass in a.u.(atomic unit): https://en.wikipedia.org/wiki/Hartree_atomic_units
%         m_au_reduced = m_kg_reduced/9.10938356e-31;
%         delta_vv = 0.427 * (9.748*1.1604505e4) * 0.2e-10 * (m_au_reduced/Tg)^(1/2);
%         
%         % G_s(v,w+1)
%         G_s = Z_v * Z_w1 * exp(delta_vv*abs(j-1-i));
%         
%         k = k_10_01 * G_s;
% 
%         %%
%         a_4 = [a_4; [num2str(j),'*',num2str(i+1),'*','1e-6*6.35e-17*(Tg)^(1.5)']];
        a_4 = [a_4; [num2str(j),'*',num2str(i+1)]];
        
        a_5 = [a_5; 'No'];
        
        a_6 = [a_6; 'guerra2019modelling'];
        
    end
    
end

a{1} = a_1;
a{2} = a_2;
a{3} = a_3;
a{4} = a_4;
a{5} = a_5;
a{6} = a_6;

% Convert cell to a table and use first row as variable names
T = table(a{1},a{2},a{3},a{4},a{5},a{6},'VariableNames',["Name","Reactions","Typ","FuncOrLut","DB","Reference"]);
 
% Write the table to a CSV file
writetable(T,'vv_N2N2inv.csv')